[Hackage] #686: cabal install - Codec.Compression.Zlib: incorrect header check

Hackage cvs-ghc at haskell.org
Mon May 10 22:42:53 EDT 2010

#686: cabal install - Codec.Compression.Zlib: incorrect header check
  Reporter:  Monsikos            |        Owner:         
      Type:  defect              |       Status:  new    
  Priority:  normal              |    Milestone:         
 Component:  cabal-install tool  |      Version:
  Severity:  normal              |     Keywords:  Zlib   
Difficulty:  unknown             |   Ghcversion:  6.12.1 
  Platform:  Windows             |  

Comment(by duncan):

 Are you absolutely sure that you are running cabal-install version 0.8.2?
 Does running `cabal --version` report the expected version? I ask because
 it is unfortunately all too easy to accidentally get into the situation
 where there are two versions of cabal-install installed and the first one
 on the Windows %PATH% is often the older one.

 If you are definitely running version 0.8.2, does this happen for all
 packages or just some? Does trying to unpack the .tar.gz package manually
 (eg using tar command line, or WinZip) fail too? BTW, you can see where
 cabal is getting the .tar.gz file from, just run with the -v flag and look
 for the line where it mentions extracting (which is presumably also where
 it'll fail).

Ticket URL: <http://hackage.haskell.org/trac/hackage/ticket/686#comment:1>
Hackage <http://haskell.org/cabal/>
Hackage: Cabal and related projects

More information about the cabal-devel mailing list